#!/bin/bash
#
# Simple wrapper for executing behave within Docker.
#
# ENVIRONMENT VARIABLES:
#
#    - REQUIREMENTS_PATH: requirements fullpath;
#          default = "requirements.txt"
#


#
# install Python packages for testing purpose, if any.
#

if [ -z "$REQUIREMENTS_PATH" ]; then
    REQUIREMENTS_PATH=requirements.txt
fi

if [ -f "$REQUIREMENTS_PATH" ]; then
    pip3 install --no-cache-dir -r $REQUIREMENTS_PATH
fi

#
# execute behave
#

exec python app.py
